<%@ Page Language="vb" AutoEventWireup="false" Codebehind="about.aspx.vb" Inherits="RO_Weather.AboutPage"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
	<head>
		<title>ArcWeb Showcase</title>
		<link href="css/arcweb.css" rel="stylesheet" type="text/css">
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" content="Visual Basic .NET 7.1">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
	</head>
	<body MS_POSITIONING="GridLayout">
		<form id="Form1" method="post" runat="server">
			<!-- title --><h1 class="header">Company Weather Report</h1>
			<div class="content">
				<!-- tab section -->
				<!-- tabOn is your selected tab and is a <span>; tabOff is assigned to the rest of tabs, which are <a>s -->
			<A id="lnkOffices" runat="server" class="tabOff" href="javascript:document.getElementById('frmWeather').submit()">Office Weather Conditions</A> 
			<A id="lnkAirports" runat="server" class="tabOff" href="javascript:document.getElementById('frmWeather').submit()">Airport Weather Conditions</A>
			<A id="lnkAbout" runat="server" class="tabOn" href="javascript:document.getElementById('frmWeather').submit()">About this Showcase</A>
				<!-- start main table -->
				<table width="690" border="0" cellspacing="0" cellpadding="0" class="main" ID="Table1">
					<tr valign="top">
						<td>
							<DIV style="FONT-SIZE: 0.8em; MARGIN: 10px"><strong></strong>&nbsp;</DIV>
							<DIV style="FONT-SIZE: 0.8em; MARGIN: 10px">
								<P><STRONG>Application Overview</STRONG></P>

        <p>The Company Weather Report showcase application enables users to view current weather information for multiple locations in the United States.  The report includes summary information (e.g., current temperature and conditions), along with a national precipitation map.  The user can click through to a specific report for any office, revealing weather details (e.g., humidity, visibility, dew point, air pressure, and wind speed) as well as a close-up precipitation map.</p>

        <p>In this showcase, the locations represent ESRI Regional Offices.  The application can be easily modified to display more or different locations elsewhere in the United States or Canada (precipitation map only available for the U.S.).</p>
        
        <p>A second tab provides airport weather conditions for selected airports throughout the U.S.</p>

								<P><STRONG>Explore the Possibilities</STRONG></P>
<p>The Company Weather Report showcase application demonstrates one example of how ArcWeb Services can be used to integrate weather and mapping information into a custom application.  In this case, the application is publishing weather information for company facilities and commonly used transportation facilities where weather conditions are very important.  The application could be used to publish weather information about other types of facilities or places, such as:</p>

<ul>
<li>Construction Sites</li>
<li>Agricultural Facilities</li>
<li>Conferences or Exhibits</li>
<li>Energy Facilities</li>
<li>Recreation Facilities</li>
<li>Tourist Attractions</li>
<li>Golf Courses</li>
</ul>

        <p>The application, along with the underlying ArcWeb Services, are well suited to publish weather information about any place in the United States or Canada. To use this application for other places, the developer would simply modify the configuration file to change the names and latitude/longitude of places to be reported.  As an option, the application could be updated to present a different type of map (e.g., current weather conditions instead of current precipitation) or change the weather information to be presented for specific locations (e.g., add the Heat Index or Daily Precipitation).</p>

								<P><STRONG>How it Works</STRONG></P>
<p>The Company Weather Report application was built using a variety of ArcWeb Services.  Below is a list of the specific services used for each part of the application.</p>

<ul>
	<p><strong>Office Weather Conditions</strong></p>
	
	<ul>
		<li><strong>Map Image</strong>: displays office locations on a U.S. precipitation map</li>
		<li><strong>Proximity</strong>: searches for weather station nearest to specific office location</li>
	</ul>

	<p><strong>Airport Weather Conditions</strong></p>
	
	<ul>
		<li><strong>Map Image</strong>: displays airport locations on a U.S. precipitation map</li>
		<li><strong>Proximity</strong>: searches for weather station nearest to specific airport location</li>
		<li><strong>FAA Airport Status</strong>: links to current airport status info from FAA; <strong>not an ArcWeb Service</strong></li>
	</ul>
	</ul>
</ul>

<p>The application was developed using ASP.NET with VB.NET and Dynamic HTML (JavaScript).  Communication with ArcWeb Services is handled through the Microsoft .NET application framework. The application is being published through a Microsoft IIS 6.0 Web server.</p>

								<P><STRONG>Download the Application</STRONG>
<p>If you are interested in building and deploying a similar application that accesses <a href="http://www.esri.com/arcwebservices" target="_blank"><strong>ArcWeb Services</strong></a>, you may download and customize the code to support your application development.  The application code is provided "as is" and may be customized to work in your Web server environment and access your content or used simply as inspiration for how this type of application could be built using ArcWeb Services.</p>
							</DIV>
							<div align="center"><p><strong>Download Application Code (Coming Soon!)</strong></p>
							</div>
							<br>
						</td>
					</tr>
				</table>
				<!-- end main table -->
			</div>
			<h5 class="footer">
				<a href="http://www.esri.com/company/copyright.html" target="_blank">Copyright</a>
				 ESRI | Send your comments to <a href="http://gis.esri.com/webmaster/webmaster.cfm" target="_blank">
					Site Manager</a>
			</h5>
		</form>
	</body>
</html>
